#include <bits/stdc++.h>
using namespace std;
#define pb push_back
#define f first
#define s second

vector<int> S,T;
vector<pair<int,int>> R;
vector<long long>D;
vector<bool> I;


std::vector<int> solve(std::vector<int> A){
 int n=0;
 int s=0;
int m=0;
 for(int i:A){
        s+=i;
        n++;
        m=max(m,i);
 }  
    int fr[m];
    int ind[m];
    for(int i=0; i<=m; i++)fr[i]=0;
    for(i=0; i<n; i++){
        fr[A[i]]++;
        ind[A[i]]=i;
    }
    vector<int>send;
    for(int i=0; i<=m; i++){
        for(int j=1; j<=fr[i]/2; j++)
            send.pb(ind[i]);

    }
     for(int i=0; i<=m; i++){
        for(int j=1; j<=fr[i]/2; j++)
            send.pb(ind[i]);

    }

    return send;

};
